Update material
curl --request PUT \
--url https://api.truecold.io/material/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"material_code": "<string>",
"material_name": "<string>",
"temperature_range_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allowance": 123,
"TOR_bucket_hours": 123,
"min": 123,
"max": 123
}
'import requests
url = "https://api.truecold.io/material/{id}"
payload = {
"material_code": "<string>",
"material_name": "<string>",
"temperature_range_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allowance": 123,
"TOR_bucket_hours": 123,
"min": 123,
"max": 123
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
material_code: '<string>',
material_name: '<string>',
temperature_range_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
allowance: 123,
TOR_bucket_hours: 123,
min: 123,
max: 123
})
};
fetch('https://api.truecold.io/material/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"material_code": "<string>",
"material_name": "<string>",
"allowance": 123,
"temperature_range_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"max": 123,
"min": 123,
"soft_deleted": "2023-11-07T05:31:56Z",
"soft_deleted_by": "<string>",
"TOR_bucket_hours": 123,
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}Materials
Update material
PUT
/
material
/
{id}
Update material
Authorizations
API key for authentication. Contact your administrator to get an API key.
Path Parameters
Material ID
Body
application/json
Material input data for creation/update
Material code
Material name
Temperature range ID of the material
Material allowance
TOR bucket hours
Minimum temperature allowed by the material (ºC)
Maximum temperature allowed by the material (ºC)
Response
Successfully updated material
Material entity (API response)
Unique identifier
Creation timestamp
Account ID
material code
material name
Allowance
Temperature range ID
Max
Min
Soft deletion timestamp
User who soft deleted the record
TOR Bucket Hours
Last update timestamp
⌘I
